{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    <th class="mdc-data-table__header-cell"></th>

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Matching-Treffer'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'letzter Treffer am'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nr.',
        'columnId': 'nummer',
        'ariaLabelId': 'number',
        'ariaLabelName': 'Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Titel',
        'columnId': 'titel',
        'ariaLabelId': 'title',
        'ariaLabelName': 'Title'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Suchender',
        'columnId': 'suchender',
        'ariaLabelId': 'person',
        'ariaLabelName': 'Person'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nutzung',
        'columnId': 'nutzung',
        'ariaLabelId': 'usage',
        'ariaLabelName': 'Usage'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'aktiv bis',
        'columnId': 'aktiv_bis',
        'ariaLabelId': 'available-till',
        'ariaLabelName': 'Available Till'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Grund',
        'columnId': 'grund',
        'ariaLabelId': 'request-reason',
        'ariaLabelName': 'Request Reason'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Flächenbedarf',
        'columnId': 'flaechenbedarf',
        'ariaLabelId': 'space-requirement',
        'ariaLabelName': 'Space Requirement'
    } only %}
    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Sachbearbeiter:in',
            'columnId': 'sachbearbeiter',
            'ariaLabelId': 'assigned-account-user',
            'ariaLabelName': 'Assigned Account User'
        } only %}
    {% endif %}
{% endblock %}

{% block tableContent %}
    {% set numberOfMatches = listItem.numberOfMatches() %}
    {% set lastMatchingResult = listItem.fetchLastMatchingResult() %}

    <td class="mdc-data-table__cell">
        {% set contextMenuListItems = [
            {
                'label': 'zum Ansiedlungsgesuch',
                'url': path('company_location_management_looking_for_property_request_edit', {'id': listItem.getId()}),
                'icon': 'search'
            },
        ] %}

        {% if is_granted('view', listItem.getPerson()) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'zum Suchenden',
                    'url': path('person_management_person_base_data', {'personId': listItem.getPerson().getId()}),
                    'icon': 'person',
                },
            ]) %}
        {% endif %}

        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'looking_for_property_request_' ~ listItem.getId(),
            'listItems': contextMenuListItems
        } only %}
    </td>
    <td class="mdc-data-table__cell">
        {% if numberOfMatches > 0 %}
            <a href="{{ path('company_location_management_matching_looking_for_property_request_matching_result', {'id': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary ms-0 align-middle" title="Zu den Matching-Ergebnissen">
                <div class="mdc-icon-button__ripple"></div>
                launch
            </a>
            <strong>
                <a href="{{ path('company_location_management_matching_looking_for_property_request_matching_result', {'id': listItem.getId()}) }}">
                    {{ numberOfMatches }} Treffer
                </a>
            </strong>
        {% else %}
            bislang keine Treffer
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% if lastMatchingResult != null %}
            {{ lastMatchingResult.getCreatedAt().format('d.m.Y H:i') }} Uhr
        {% else %}
            -
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getId() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getTitle() }}</td>
    <td class="mdc-data-table__cell">
        {% if is_granted('view', listItem.getPerson()) == true %}
            {{ listItem.getPerson().buildShortDisplayName() }}
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': listItem.getPropertyRequirement().getIndustryClassification(), 'tooltip': true, 'itemType': 'looking-for-property-request', 'itemId': listItem.getId()} only %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.getRequestAvailableTill() is not null %}
            {{ listItem.getRequestAvailableTill().format('d.m.Y') }}
        {% else %}
            ohne Ablauf
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getRequestReason().getName() }}</td>
    <td class="mdc-data-table__cell">
        {% set totalSpaceMinimum = listItem.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMinimumValue() %}
        {% set totalSpaceMaximum = listItem.getPropertyRequirement().getPropertyValueRangeRequirement().getTotalSpace().getMaximumValue() %}

        {% if totalSpaceMinimum != null and totalSpaceMinimum > 0 %}
            {{ totalSpaceMinimum }} -
        {% endif %}

        {% if totalSpaceMaximum != null %}
            {{ totalSpaceMaximum }} m²
        {% endif %}
    </td>
    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        <td class="mdc-data-table__cell">
            {% if listItem.getAssignedToAccountUser() != null %}
                {% if listItem.getAssignedToAccountUser().isDeleted() == true %}
                    <span class="text-danger">
                        <i class="material-icons left align-middle">person_off</i>
                        gelöscht
                    </span>
                {% else %}
                    {{ listItem.getAssignedToAccountUser().getFullname() }}
                {% endif %}
            {% else %}
                -
            {% endif %}
        </td>
    {% endif %}
{% endblock %}
